PAM_UNSETENV(3)

NAME
pam_unsetenv - mirrors unsetenv(3)

LIBRARY
libpam

SYNOPSIS
#include <sys/types.h>
#include <security/pam_appl.h>
int
pam_unsetenv(pam_handle_t *pamh, const char *name);

DESCRIPTION
The pam_unsetenv function unsets a environment variable. Its semantics are similar to those of unsetenv(3), but it modifies the PAM context's environment list instead of the application's.

RETURN VALUES
The pam_unsetenv function returns one of the following values:

[PAM_SYSTEM_ERR]
    System error.

SEE ALSO
pam(3), pam_getenv(3), pam_getenvlist(3), pam_putenv(3), pam_strerror(3), setenv(3)

STANDARDS
The pam_unsetenv function is an OpenPAM extension.